dnl======================================================================
dnl GDS_CHECK_EXPAT
dnl   Check if EXPAT is installed
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_EXPAT],
[ have_expat=not-set
PKG_CHECK_MODULES(EXPAT, expat, have_expat=yes, have_expat=no)
if test "${have_expat}" = "yes"
then
  expatlibs="$EXPAT_LIBS"
  expatcflags="$EXPAT_CFLAGS"
fi
if test "${have_expat}" = "no"
then
  expatcflags=""
  expatlibs="-lexpat"
fi
AC_MSG_RESULT($have_expat)
AC_SUBST(expatlibs)
AC_SUBST(expatcflags)
])
